﻿using Composite.Data;
using Composite.Data.Types;

namespace CustomMediaFileProvider
{
    internal sealed class MediaFileStore : IMediaFileStore
    {
        private readonly DataSourceId _dataSourceId;

        public MediaFileStore(string id, string title, string description, DataSourceId dataSourceId)
        {
            Id = id;
            Title = title;
            Description = description;
            _dataSourceId = dataSourceId;
        }

        public string Id { get; set; }

        public string Title { get; set; }

        public string Description { get; set; }

        public bool IsReadOnly { get { return false; } }

        public bool ProvidesMetadata
        {
            get { return true; }
        }

        public DataSourceId DataSourceId
        {
            get { return _dataSourceId; }
        }
    }
}
